Package org.apache.sling.feature.maven

# Class JSONFeatures

java.lang.Object
org.apache.sling.feature.maven.JSONFeatures

public class JSONFeatures extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apache.sling.feature.ArtifactId`
`PLACEHOLDER_ID`

## Constructor Summary

Constructors
Constructor
Description
`JSONFeatures()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`handleDefaultMetadata(org.apache.sling.feature.Feature feature, Map<String,Map<String,String>> defaultMetadata)`
`static void`
`handleExtensions(org.apache.sling.feature.Feature feature, File file)`
Check for extensions of type text and if they reference a file.
`static String`
`read(Reader reader, org.apache.sling.feature.ArtifactId optionalId, String location)`
Read the feature and add the `id` attribute if missing
`static void`
`write(Writer writer, org.apache.sling.feature.Feature feature)`
Write the feature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PLACEHOLDER_ID

public static final org.apache.sling.feature.ArtifactId PLACEHOLDER_ID

## Constructor Details

### JSONFeatures

public JSONFeatures()

## Method Details

### read

public static String read(Reader reader, org.apache.sling.feature.ArtifactId optionalId, String location) throws IOException
Read the feature and add the `id` attribute if missing

Parameters:
  `reader` - The reader
  `optionalId` - The artifact id to use if the `id` attribute is missing
  `location` - The location
Returns:
  The feature as a string
Throws:
  `IOException` - If reading fails

### write

public static void write(Writer writer, org.apache.sling.feature.Feature feature) throws IOException
Write the feature. If the id is the `PLACEHOLDER_ID` then the id is not written out

Parameters:
  `writer` - The writer
  `feature` - The feature
Throws:
  `IOException` - If anything goes wrong

### handleExtensions

public static void handleExtensions(org.apache.sling.feature.Feature feature, File file) throws IOException
Check for extensions of type text and if they reference a file.

Parameters:
  `feature` - The feature to check
  `file` - The file to check for
Throws:
  `IOException` - when an IO Exception occurs

### handleDefaultMetadata

public static void handleDefaultMetadata(org.apache.sling.feature.Feature feature, Map<String,Map<String,String>> defaultMetadata)